import State from '../state'
import keys from '../../cgt/inputs/keyboard'
import screen from './screen'

export default class StandingState extends State {
    draw(ctx) {
        screen.render(ctx)
    }

    update() {
        const buttons = keys.all()
        if (buttons.length) {
            this.emit('action', buttons[0])
        }
    }
}
